perl-Pod-Coverage-Moose-0.50.0-3-omv2015.0.noarch.rpm


Advertisement

Description

perl-Pod-Coverage-Moose - L<Pod::Coverage> extension for L<Moose>

Property Value
Distribution OpenMandriva Cooker
Repository OpenMandriva Contrib Release x86_64
Package name perl-Pod-Coverage-Moose
Package version 0.50.0
Package release 3-omv2015.0
Package architecture noarch
Package type rpm
Installed size 23.65 KB
Download size 12.09 KB
Official Mirror abf-downloads.openmandriva.org
When using the Pod::Coverage manpage in combination with the Moose manpage,
it will report any method imported from a Role. This is especially bad when
used in combination with the Test::Pod::Coverage manpage, since it takes
away its ease of use.
To use this module in combination with the Test::Pod::Coverage manpage, use
something like this:
use Test::Pod::Coverage;
all_pod_coverage_ok({ coverage_class => 'Pod::Coverage::Moose'});

Alternatives

Package Version Architecture Repository
perl-Pod-Coverage-Moose-0.50.0-3-omv2015.0.noarch.rpm 0.50.0 noarch OpenMandriva Contrib Release
perl-Pod-Coverage-Moose - - -

Requires

Name Value
perl(Carp) -
perl(Class::Load) -
perl(Moose) -
perl(Pod::Coverage) -
perl(abi) >= 5.20.1

Provides

Name Value
perl(Pod::Coverage::Moose) = 0.50.0
perl-Pod-Coverage-Moose = 0.50.0-3

Download

Type URL
Binary Package perl-Pod-Coverage-Moose-0.50.0-3-omv2015.0.noarch.rpm
Source Package perl-Pod-Coverage-Moose-0.50.0-3.src.rpm

Install Howto

  1. Enable OpenMandriva Contrib Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Pod-Coverage-Moose rpm package:
    # urpmi perl-Pod-Coverage-Moose

Files

Path
/usr/lib/perl5/vendor_perl/5.20.1/Pod/
/usr/lib/perl5/vendor_perl/5.20.1/Pod/Coverage/Moose.pm
/usr/share/doc/perl-Pod-Coverage-Moose/Changes
/usr/share/doc/perl-Pod-Coverage-Moose/META.yml
/usr/share/doc/perl-Pod-Coverage-Moose/README
/usr/share/man/man3/Pod::Coverage::Moose.3pm.xz

See Also

Package Description
perl-Pod-Coverage-TrustPod-0.100.3-3-omv2015.0.noarch.rpm Allow a module's pod to contain Pod::Coverage hints
perl-Pod-Elemental-0.103.1-3-omv2015.0.noarch.rpm A Pod =command element
perl-Pod-Elemental-PerlMunger-0.200.2-3-omv2015.0.noarch.rpm A thing that takes a string of Perl and rewrites its documentation
perl-Pod-Elemental-Transformer-List-0.102.0-3-omv2015.0.noarch.rpm Transform :list regions into =over/=back to save typing
perl-Pod-Elemental-Transformer-WikiDoc-0.93.3-3-omv2015.0.noarch.rpm A transformer to replace "wikidoc" data regions with Pod5 elements
perl-Pod-Eventual-0.94.1-3-omv2015.0.noarch.rpm Just get an array of the stuff Pod::Eventual finds
perl-Pod-Generated-0.50.0-3-omv2013.0.noarch.rpm Template plugin to help generate POD
perl-Pod-Loom-0.80.0-3-omv2015.0.noarch.rpm Do-nothing template for Pod::Loom
perl-Pod-Markdown-2.1.0-3-omv2015.0.noarch.rpm Convert POD to Markdown
perl-Pod-MinimumVersion-50.0.0-4-omv2015.0.noarch.rpm Report object from Pod::MinimumVersion
perl-Pod-POM-Web-1.200.0-3-omv2015.0.noarch.rpm Fulltext search for Pod::POM::Web
perl-Pod-PseudoPod-0.160.0-2-omv2013.0.noarch.rpm A framework for parsing O'Reilly's PseudoPod
perl-Pod-PseudoPod-LaTeX-1.201.107.100-3-omv2015.0.noarch.rpm Convert Pod::PseudoPod documents into LaTeX
perl-Pod-Readme-0.110.0-5-omv2015.0.noarch.rpm Convert Module POD to a README file
perl-Pod-Spell-CommonMistakes-1.0.0-5-omv2015.0.noarch.rpm Holds the wordlist data for Pod::Spell::CommonMistakes
Advertisement
Advertisement